package com.ozs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.entity.BaseTerminal;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.vo.BaseVehicleTerminalVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 机车车载终端信息表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface BaseTerminalService extends IService<BaseTerminal> {

    IPage<BaseTerminal> vehicleTerminalList(BaseVehicleTerminalVo baseVehicleTerminalleVo);

    AjaxResult baseVehicleTerminalDetails(BaseVehicleTerminalVo baseVehicleTerminalVo);

    AjaxResult vehicleTerminalAdd(BaseTerminal baseVehicleTerminal, String userId);

    AjaxResult vehicleTerminalUpdate(BaseTerminal baseVehicleTerminal, String userId);

    String importBaseVehicleTerminal(List<BaseTerminal> accountManageList, boolean updateSupport, String userId);

    List<BaseTerminal> exportBaseVehicleTerminal(BaseTerminal baseVehicleTerminal);

    Map<String, Integer> getMessageStatisticsTerminal();
}
